seafile社区注册用户后不能正常返回页面的问题


#1

刚入SEAFILE,感觉各方面性能都很不错, 简直就是国货之光。
但是因为各自的环境不同,版本还是有一些BUG,希望能帮忙解决一下。
操作环境:UBUNTU SERVER 20.04, SEAFILE-SERVER-8.0,局域网服务器
遇到问题如下:
注册用户时可以正常填写邮箱和注册信息,但是点击注册按钮后。服务器需要反应很久,最后显示PAGE UNAVAILABLE。但是偶而就那么一次能正常显示。阿里云企业邮箱SMTP能正常工作,用户能收到邮件。请大神帮我看下是什么原因

查询SEAHUB.LOG的信息如下:
2021-04-11 03:34:22,464 [ERROR] django.request:222 log_response Internal Server Error: /accounts/register/
Traceback (most recent call last):
File “/usr/lib/python3.8/smtplib.py”, line 391, in getreply
line = self.file.readline(_MAXLINE + 1)
File “/usr/lib/python3.8/socket.py”, line 669, in readinto
return self._sock.recv_into(b)
File “/usr/lib/python3.8/ssl.py”, line 1241, in recv_into
return self.read(nbytes, buffer)
File “/usr/lib/python3.8/ssl.py”, line 1099, in read
return self._sslobj.read(len, buffer)
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/seafile/seafile-server-8.0.4/seahub/thirdpart/django/core/handlers/exception.py”, line 34, in inner
response = get_response(request)
File “/home/seafile/seafile-server-8.0.4/seahub/thirdpart/django/core/handlers/base.py”, line 115, in _get_response
response = self.process_exception_by_middleware(e, request)
File “/home/seafile/seafile-server-8.0.4/seahub/thirdpart/django/core/handlers/base.py”, line 113, in _get_response
response = wrapped_callback(request, *callback_args, **callback_kwargs)
File “/home/seafile/seafile-server-8.0.4/seahub/thirdpart/registration/views.py”, line 197, in register
new_user = backend.register(request, **form.cleaned_data)
File “/home/seafile/seafile-server-8.0.4/seahub/seahub/base/accounts.py”, line 663, in register
new_user = RegistrationProfile.objects.create_inactive_user(username, email,
File “/home/seafile/seafile-server-8.0.4/seahub/thirdpart/registration/models.py”, line 92, in create_inactive_user
return self.create_email_user(username, email, password, site,
File “/home/seafile/seafile-server-8.0.4/seahub/thirdpart/registration/models.py”, line 85, in create_email_user
registration_profile.send_activation_email(site)
File “/home/seafile/seafile-server-8.0.4/seahub/thirdpart/registration/models.py”, line 284, in send_activation_email
send_html_email(subject, ‘registration/activation_email.html’,
File “/home/seafile/seafile-server-8.0.4/seahub/seahub/utils/init.py”, line 959, in send_html_email
msg.send()
File “/home/seafile/seafile-server-8.0.4/seahub/thirdpart/django/core/mail/message.py”, line 306, in send
return self.get_connection(fail_silently).send_messages([self])
File “/home/seafile/seafile-server-8.0.4/seahub/thirdpart/django/core/mail/backends/smtp.py”, line 110, in send_messages
sent = self._send(message)
File “/home/seafile/seafile-server-8.0.4/seahub/thirdpart/django/core/mail/backends/smtp.py”, line 126, in _send
self.connection.sendmail(from_email, recipients, message.as_bytes(linesep=’\r\n’))
File “/usr/lib/python3.8/smtplib.py”, line 886, in sendmail
(code, resp) = self.data(msg)
File “/usr/lib/python3.8/smtplib.py”, line 573, in data
(code, msg) = self.getreply()
File “/usr/lib/python3.8/smtplib.py”, line 394, in getreply
raise SMTPServerDisconnected("Connection unexpectedly closed: "
smtplib.SMTPServerDisconnected: Connection unexpectedly closed: [Errno 104] Connection reset by peer


#2

seafile在 python 3.8 上是有一些问题,暂不支持这个Python版本